package constant;

/**
 * @author 于萌萌
 * 2019年9月9日13:21:39
 */
public class KuaishouInterfaceConstant {
    public static final String AUTH_PATH = "/#/openapi/oauth";
    public static final String AUTH_TOKEN = "/rest/openapi/oauth2/authorize/access_token";
    public static final String REFRESH_TOKEN = "/rest/openapi/oauth2/authorize/refresh_token";
    /**
     * 广告主报表数据
     */
    public static final String ACCOUNT_REPORT = "/rest/openapi/v1/report/account_report";
    /**
     * 广告计划报表数据
     */
    public static final String CAMPAIGN_REPORT = "/rest/openapi/v1/report/campaign_report";
    /**
     * 广告组报表数据
     */
    public static final String GTOUP_REPORT = "/rest/openapi/v1/report/unit_report";
    /**
     * 广告创意报表数据
     */
    public static final String CREATIVE_REPORT = "/rest/openapi/v1/report/creative_report";
    /**
     * 广告计划信息
     */
    public static final String CAMPAIGN_LIST = "/rest/openapi/v1/campaign/list";
    /**
     * 广告组信息
     */
    public static final String GROUP_LIST = "/rest/openapi/v1/ad_unit/list";
    /**
     * 创意信息
     */
    public static final String CREATIVE_LIST = "/rest/openapi/v1/creative/list";
    /**
     * 创建广告计划
     */
    public static final String CAMPAIGN_CREATE = "/rest/openapi/v2/campaign/create";
    /**
     * 创建广告组
     */
    public static final String AD_UNIT_CREATE = "/rest/openapi/v2/ad_unit/create";
    /**
     * 创建广告组
     */
    public static final String AD_CREATIVE_CREATE = "/rest/openapi/v2/creative/create";
    /**
     * 获取可选的深度转化类型
     */
    public static final String DEEP_CONVERSION_INFOS = "/rest/openapi/v1/ad_unit/ocpc/conversion_infos";
    /**
     * 视频文件上传
     */
    public static final String VIDEO_UPLOAD = "/rest/openapi/v1/file/ad/video/upload";
    /**
     * 视频文件获取
     */
    public static final String VIDEO_GET = "/rest/openapi/v1/file/ad/video/get";
    /**
     * 图片文件获取
     */
    public static final String IMAGE_GET = "/rest/openapi/v1/file/ad/image/get";
    /**
     * 获取地域信息
     */
    public static final String REGION_LIST = "/rest/openapi/v1/region/list";
    /**
     * 图片文件上传
     */
    public static final String IMAGE_UPLOAD = "/rest/openapi/v1/file/ad/image/upload";
    /**
     * 创建应用
     */
    public static final String APP_CREATE = "/rest/openapi/v1/file/ad/app/create";
    /**
     * 创建广告获取应用列表
     */
    public static final String APP_LIST = "/rest/openapi/v1/file/ad/app/list";

    /**
     * 登录
     */
    public static final String TYPE_LOGIN = "login";
    /**
     * 授权
     */
    public static final String TYPE_AUTHORIZATION = "authorization";
    /**
     * 登录方式-快手
     */
    public static final String LOGIN_TYPE_KUAISHOU = "kuaishou";
    /**
     * 登录方式-快手
     */
    public static final String LOGIN_TYPE_BYTEDANCE = "bytedance";
    /**
     * 请求前缀
     */
    public static final String HTTPS_PREFIX = "https:";


}
