package org.jeecg.modules.ctop.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.ctop.entity.CtopOauthToken;

import java.util.List;

/**
 * @Description: oauth授权码
 * @Author: jeecg-boot
 * @Date: 2019-07-09
 * @Version: V1.0
 */
public interface CtopOauthTokenMapper extends BaseMapper<CtopOauthToken> {
    List<CtopOauthToken> selectAll();

    int updateByPrimaryKeySelective(CtopOauthToken oauthToken);

    CtopOauthToken selectByAccountId(Long accountId);
}
